Subject: Re: [PATCH net-next 11/11] net: dsa: ocelot: introduce driver for Seville VSC9953 switch

From: Alexandre Belloni <[email-masked]>
Date: Fri, 29 May 2020 11:03:12 +0200

On 29/05/2020 11:30:43+0300, Vladimir Oltean wrote:
> > As ocelot can be used in a DSA configuration (even if it is not
> > implemented yet), I don't think this would be correct. From my point of
> > view, felix and seville are part of the ocelot family.
> >
> 
> In this case, there would be a third driver in
> drivers/net/dsa/ocelot/ocelot_vsc7511.c which uses the intermediate
> felix_switch_ops from felix.c to access the ocelot core
> implementation. Unless you have better naming suggestions?
> 

I don't. Maybe felix.c should have been ocelot.c from the beginning but
honestly, it doesn't matter that much.

BTW, maybe we should merge the VITESSE FELIX ETHERNET SWITCH DRIVER and
MICROSEMI ETHERNET SWITCH DRIVER entries in MAINTAINERS. You do much
more work in drivers/net/ethernet/mscc/ than I currently do.

-- 
Alexandre Belloni, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com